    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------
    028 * XYZDataset.java
    029 * ---------------
    030 * (C) Copyright 2001-2008, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 31-Oct-2001 : Initial version (DG);
    038 * 05-May-2004 : Added getZ() method;
    039 * 15-Jul-2004 : Switched getZ() and getZValue() methods (DG);
    040 * 18-Aug-2004 : Moved from org.jfree.data --> org.jfree.data.xy (DG);
    041 *
    042 */
    043
    044package org.jfree.data.xy;
    045
    046/**
    047 * The interface through which JFreeChart obtains data in the form of (x, y, z)
    048 * items - used for XY and XYZ plots.
    049 */
    050public interface XYZDataset extends XYDataset {
    051
    052    /**
    053     * Returns the z-value for the specified series and item.
    054     *
    055     * @param series  the series index (zero-based).
    056     * @param item  the item index (zero-based).
    057     *
    058     * @return The z-value (possibly <code>null</code>).
    059     */
    060    public Number getZ(int series, int item);
    061
    062    /**
    063     * Returns the z-value (as a double primitive) for an item within a series.
    064     *
    065     * @param series  the series (zero-based index).
    066     * @param item  the item (zero-based index).
    067     *
    068     * @return The z-value.
    069     */
    070    public double getZValue(int series, int item);
    071
    072}